Subject: bug#26688: closed (Re: bug#26688: LXDE: Login fails)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 11 May 2017 21:33:02 +0000

Your bug report

#26688: LXDE: Login fails

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26688: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26688
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26688: LXDE: Login fails
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Date: Thu, 11 May 2017 23:32:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) skribis:

> ng0 <[email-masked]> skribis:
>
>> I would've appended the file if it existed. But $home/.xsession-error
>> doesn't exist here.
>
> Indeed, not sure why.
>
> I was able to reproduce the problem in a VM with the attached config.
> It boils down to this:
>
> $ /gnu/store/9fdxlzwbsfzhncwznlx2lrp8rdq61f7v-lxde-common-0.99.2/bin/startlxde 
> cp: cannot stat '/etc/xdg/openbox/LXDE/rc.xml': No such file or directory
> /gnu/store/9fdxlzwbsfzhncwznlx2lrp8rdq61f7v-lxde-common-0.99.2/bin/startlxde: line 47: /gnu/store/9fdxlzwbsfzhncwznlx2lrp8rdq61f7v-lxde-common-0.99.2/bin/lxsession: No such file or directory

Fixed in d5e7d014dd304474692e47a7d48d33e99b81e18a.

Please email bug-guix if there are other problems with LXDE.

Thanks,
Ludo’.

Subject: LXDE: Login fails
From: ng0 <[email-masked]>
To: [email-masked]
Date: Thu, 27 Apr 2017 22:22:05 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

At the moment trying to login through SLIM (same with SDDM) into LXDE
you get the message "Failed to execute login command" for
about 2 seconds, then the X session terminates and your are
back at SLIM.

Effectively through the login managers we have, LXDE is not
usable at the moment. I haven't tested using just "startx".

I open this bug so that it can be referenced and is visible. To me
it is known since I've sent in the meta package for LXDE.
-- 
PGP and more: https://people.pragmatique.xyz/ng0/